﻿using System;
using System.Collections.Generic;

namespace SyncfusionASPNETApplication18
{

    public partial class GridFeatures : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        public static List<int> pageList = new List<int>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
            pageList.Add(1);
            pageList.Add(5);
            pageList.Add(10);
            pageList.Add(15);
            pageList.Add(20);
            this.Projects_Grid.PageSettings.PageSizeList = pageList;
        }

        private void BindDataSource()
        {
            if (order.Count == 0)
            {
                int orderId = 10643;
                int empId = 0;
                for (int i = 1; i < 9; i++)
                {
                    order.Add(new Orders(orderId + 1, "ALFKI", empId + 1, 32.38, "Alfreds Futterkiste ", "Germany", orderId + 1, "ALFKI", empId + 1, 32.38, "Alfreds Futterkiste ", "Germany"));
                    order.Add(new Orders(orderId + 2, "ANATR", empId + 2, 11.61, "Ana Trujillo Emparedados y helados", "Mexico", orderId + 2, "ANATR", empId + 2, 11.61, "Ana Trujillo Emparedados y helados", "Mexico"));
                    order.Add(new Orders(orderId + 3, "ANTON", empId + 3, 45.34, "Antonio Moreno Taquería", "Mexico", orderId + 3, "ANTON", empId + 3, 45.34, "Antonio Moreno Taquería", "Mexico"));
                    order.Add(new Orders(orderId + 4, "AROUT", empId + 4, 37.28, "Around the Horn", "UK", orderId + 4, "AROUT", empId + 4, 37.28, "Around the Horn", "UK"));
                    order.Add(new Orders(orderId + 5, "BERGS", empId + 5, 67.00, "Berglunds snabbköp", "Sweden", orderId + 5, "BERGS", empId + 5, 67.00, "Berglunds snabbköp", "Sweden"));
                    order.Add(new Orders(orderId + 6, "BLONP", empId + 6, 23.32, "Blondel père et fils", "France", orderId + 6, "BLONP", empId + 6, 23.32, "Blondel père et fils", "France"));
                    orderId += 6;
                    empId += 6;
                }
            }           
            this.Projects_Grid.DataSource = order;
            this.Projects_Grid.DataBind();
        }

   

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(int orderId, string customerId, int empId, double freight, string shipName, string shipCountry, int order, string customer, int emp, double freght, string Name, string Country)
            {
                this.OrderID = orderId;
                this.CustomerID = customerId;
                this.EmployeeID = empId;
                this.Freight = freight;
                this.ShipName = shipName;
                this.ShipCountry = shipCountry;
                this.Order = order;
                this.Customer = customer;
                this.Employee = emp;
                this.Freght = freght;
                this.Name = Name;
                this.Country = Country;
            }
            public int OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipName { get; set; }
            public string ShipCountry { get; set; }
            public int Order { get; set; }
            public string Customer { get; set; }
            public int Employee { get; set; }
            public double Freght { get; set; }
            public string Name { get; set; }
            public string Country { get; set; }
        }
      
    }
}